Articles
Advanced Article Search
Advanced Article Search.
GET
/
articles
/
advanceSearch
Advanced search articles
curl --request GET \
--url https://api.octaviatech.app/cms/articles/advanceSearch \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octaviatech.app/cms/articles/advanceSearch"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octaviatech.app/cms/articles/advanceSearch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"statusCode": 200,
"message": "OK",
"data": {
"items": [
{
"id": "{{objectId}}",
"tags": [
"ai"
]
}
],
"pagination": {
"total": 1,
"page": 1,
"limit": 20,
"totalPages": 1
}
}
}{
"success": false,
"statusCode": 401,
"message": "Unauthorized",
"data": null
}Authorizations
Query Parameters
Pattern:
^[a-fA-F0-9]{24}$Example:
"{{objectId}}"
Pattern:
^[a-fA-F0-9]{24}$Example:
"{{objectId}}"
Pattern:
^[a-fA-F0-9]{24}$Example:
"{{objectId}}"
CSV list of tags (single param)
Example:
"ai,news"
Example:
"2025-05-01"
Example:
"2025-10-31"
Example:
1
Example:
20
Available options:
createdAt, publishDate Example:
"publishDate"
Available options:
asc, desc Example:
"desc"
Response
OK
Was this page helpful?
⌘I
Advanced search articles

